CREATE TABLE `GeMaTP_etablissement` (
`id_etablissement` INTEGER NOT NULL AUTO_INCREMENT ,
`nom_etablissement` VARCHAR(20) NOT NULL DEFAULT 'Col. Passamainty',
`adresse_etablissement` VARCHAR(200) ,
`mail_etablissement` VARCHAR(30) ,
`logo_etablissement` VARCHAR(20) ,
PRIMARY KEY (`id_etablissement`)
);

CREATE TABLE `GeMaTP_personnel` (
`id_personnel` INTEGER NOT NULL AUTO_INCREMENT ,
`nom_personnel` VARCHAR(20) NOT NULL ,
`prenom_personnel` VARCHAR(20) ,
`login_personnel` VARCHAR(20) NOT NULL ,
`passwd_personnel` VARCHAR(20) NOT NULL ,
`photo_personnel` VARCHAR(20) ,
`prof_ou_eleve` CHAR(10) NOT NULL DEFAULT 'eleve',
PRIMARY KEY (`id_personnel`)
);

CREATE TABLE `GeMaTP_classe` (
`id_classe` INTEGER NOT NULL AUTO_INCREMENT ,
`nom_classe` VARCHAR(20) NOT NULL ,
`section_classe` VARCHAR(10) NOT NULL ,
`logo_classe` VARCHAR(20) ,
`id_etablissement_GeMaTP_etablissement` INTEGER NOT NULL ,
PRIMARY KEY (`id_classe`)
);

CREATE TABLE `GeMaTP_gestion_classe` (
`id_classe_GeMaTP_classe` INTEGER NOT NULL ,
`id_personnel_GeMaTP_personnel` INTEGER NOT NULL ,
PRIMARY KEY (`id_personnel_GeMaTP_personnel`, `id_classe_GeMaTP_classe`)
);

CREATE TABLE `GeMaTP_action_stock` (
`id_action_stock` INTEGER NOT NULL AUTO_INCREMENT ,
`date_action_stock` DATETIME NOT NULL ,
`commentaire_action_stock` BLOB ,
`quantite_relevee` INTEGER ,
`id_personnel_GeMaTP_personnel` INTEGER NOT NULL ,
`id_materiel_GeMaTP_materiel` INTEGER NOT NULL ,
PRIMARY KEY (`id_action_stock`)
);

CREATE TABLE `GeMaTP_salle` (
`id_salle` INTEGER NOT NULL AUTO_INCREMENT ,
`nom_salle` VARCHAR(20) NOT NULL ,
`etage_salle` INTEGER DEFAULT 1,
`caracteristiques_salle` VARCHAR(100) ,
`photo_salle` VARCHAR(30) ,
`id_etablissement_GeMaTP_etablissement` INTEGER NOT NULL ,
PRIMARY KEY (`id_salle`)
);

CREATE TABLE `GeMaTP_lieu_stock` (
`id_lieu_stock` INTEGER NOT NULL AUTO_INCREMENT ,
`nom_lieu_stock` VARCHAR(20) NOT NULL ,
`caracteristiques_lieu_stock` VARCHAR(100) ,
`photo_lieu_stock` VARCHAR(30) ,
`id_salle_GeMaTP_salle` INTEGER NOT NULL ,
PRIMARY KEY (`id_lieu_stock`)
);

CREATE TABLE `GeMaTP_materiel` (
`id_materiel` INTEGER NOT NULL AUTO_INCREMENT ,
`nom_materiel` VARCHAR(30) NOT NULL ,
`quantite_normale_materiel` INTEGER DEFAULT 1,
`remarque_materiel` VARCHAR(200) ,
`illustration_materiel` VARCHAR(50) ,
`id_lieu_stock_GeMaTP_lieu_stock` INTEGER NOT NULL ,
PRIMARY KEY (`id_materiel`)
);

CREATE TABLE `GeMaTP_documentation` (
`id_documentation` INTEGER NOT NULL AUTO_INCREMENT ,
`nom_documentation` VARCHAR(20) ,
`description_documentation` VARCHAR(200) ,
`adresse_documentation` VARCHAR(30) NOT NULL ,
`id_materiel_GeMaTP_materiel` INTEGER NOT NULL ,
PRIMARY KEY (`id_documentation`)
);

ALTER TABLE `GeMaTP_classe` ADD FOREIGN KEY (id_etablissement_GeMaTP_etablissement) REFERENCES `GeMaTP_etablissement` (`id_etablissement`);
ALTER TABLE `GeMaTP_gestion_classe` ADD FOREIGN KEY (id_classe_GeMaTP_classe) REFERENCES `GeMaTP_classe` (`id_classe`);
ALTER TABLE `GeMaTP_gestion_classe` ADD FOREIGN KEY (id_personnel_GeMaTP_personnel) REFERENCES `GeMaTP_personnel` (`id_personnel`);
ALTER TABLE `GeMaTP_action_stock` ADD FOREIGN KEY (id_personnel_GeMaTP_personnel) REFERENCES `GeMaTP_personnel` (`id_personnel`);
ALTER TABLE `GeMaTP_action_stock` ADD FOREIGN KEY (id_materiel_GeMaTP_materiel) REFERENCES `GeMaTP_materiel` (`id_materiel`);
ALTER TABLE `GeMaTP_salle` ADD FOREIGN KEY (id_etablissement_GeMaTP_etablissement) REFERENCES `GeMaTP_etablissement` (`id_etablissement`);
ALTER TABLE `GeMaTP_lieu_stock` ADD FOREIGN KEY (id_salle_GeMaTP_salle) REFERENCES `GeMaTP_salle` (`id_salle`);
ALTER TABLE `GeMaTP_materiel` ADD FOREIGN KEY (id_lieu_stock_GeMaTP_lieu_stock) REFERENCES `GeMaTP_lieu_stock` (`id_lieu_stock`);
ALTER TABLE `GeMaTP_documentation` ADD FOREIGN KEY (id_materiel_GeMaTP_materiel) REFERENCES `GeMaTP_materiel` (`id_materiel`);
